Tp::Service::ConnectionInterfaceCellularAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::Service::ConnectionInterfaceCellularAdaptor Class Reference
Connection service implementation

`#include <TelepathyQt/_gen/svc-connection.h>`

Inherits Tp::AbstractAdaptor.

## Signals
void | IMSIChanged (const QString &IMSI)

## Public Member Functions
uint | MessageValidityPeriod () const
void | SetMessageValidityPeriod (const uint &newValue)
bool | OverrideMessageServiceCentre () const
void | SetOverrideMessageServiceCentre (const bool &newValue)
QString | MessageServiceCentre () const
void | SetMessageServiceCentre (const QString &newValue)
QString | IMSI () const
bool | MessageReducedCharacterSet () const
void | SetMessageReducedCharacterSet (const bool &newValue)
QString | MessageNationalCharacterSet () const
void | SetMessageNationalCharacterSet (const QString &newValue)
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Cellular".

## Member Function Documentation

uint Tp::Service::ConnectionInterfaceCellularAdaptor::MessageValidityPeriod | ( |  | ) | const

Return the value of the exported D-Bus object property `MessageValidityPeriod` of type `uint`.

Adaptees should export this property as a Qt property named 'messageValidityPeriod' with type uint.

Define how long should the service centre try message delivery before giving up, failing delivery and deleting the message. A value of 0 means to use the service centre's default period.

The value specified is in seconds. Note that various protocols or implementations may round the value up (eg. to a minute or hour precision). The maximum validity period may vary depending on protocol or provider.

Returns
  The value of exported property `MessageValidityPeriod`.

void Tp::Service::ConnectionInterfaceCellularAdaptor::SetMessageValidityPeriod | ( | const uint & | newValue | ) |

Set the value of the exported D-Bus object property `MessageValidityPeriod` of type `uint`.

Adaptees should export this property as a writable Qt property named 'messageValidityPeriod' with type uint.

Define how long should the service centre try message delivery before giving up, failing delivery and deleting the message. A value of 0 means to use the service centre's default period.

The value specified is in seconds. Note that various protocols or implementations may round the value up (eg. to a minute or hour precision). The maximum validity period may vary depending on protocol or provider.

bool Tp::Service::ConnectionInterfaceCellularAdaptor::OverrideMessageServiceCentre | ( |  | ) | const

Return the value of the exported D-Bus object property `OverrideMessageServiceCentre` of type `bool`.

Adaptees should export this property as a Qt property named 'overrideMessageServiceCentre' with type bool.

If `True`, SMSes will be sent via the service centre specified by MessageServiceCentre . If `False`, the SIM's default SMSC will be used, ignoring the value of MessageServiceCentre.

It could be desirable for a configuration interface to remember the user's previous choice of custom SMSC, even if it's not in use. This boolean allows that choice to be saved as an account parameter by Mission Control, rather than the UI needing to save it elsewhere to be restored if the user wants to reactivate it.

Returns
  The value of exported property `OverrideMessageServiceCentre`.

void Tp::Service::ConnectionInterfaceCellularAdaptor::SetOverrideMessageServiceCentre | ( | const bool & | newValue | ) |

Set the value of the exported D-Bus object property `OverrideMessageServiceCentre` of type `bool`.

Adaptees should export this property as a writable Qt property named 'overrideMessageServiceCentre' with type bool.

If `True`, SMSes will be sent via the service centre specified by MessageServiceCentre . If `False`, the SIM's default SMSC will be used, ignoring the value of MessageServiceCentre.

It could be desirable for a configuration interface to remember the user's previous choice of custom SMSC, even if it's not in use. This boolean allows that choice to be saved as an account parameter by Mission Control, rather than the UI needing to save it elsewhere to be restored if the user wants to reactivate it.

QString Tp::Service::ConnectionInterfaceCellularAdaptor::MessageServiceCentre | ( |  | ) | const

Return the value of the exported D-Bus object property `MessageServiceCentre` of type `QString`.

Adaptees should export this property as a Qt property named 'messageServiceCentre' with type QString.

Address for the messaging service centre. Typically (as is the case for GSM's SMSC), it's the ISDN / telephony address (ie. a phone number). If OverrideMessageServiceCentre is `False`, this property's value should be ignored by the CM in favour of the SIM's default SMSC.

Returns
  The value of exported property `MessageServiceCentre`.

void Tp::Service::ConnectionInterfaceCellularAdaptor::SetMessageServiceCentre | ( | const QString & | newValue | ) |

Set the value of the exported D-Bus object property `MessageServiceCentre` of type `QString`.

Adaptees should export this property as a writable Qt property named 'messageServiceCentre' with type QString.

Address for the messaging service centre. Typically (as is the case for GSM's SMSC), it's the ISDN / telephony address (ie. a phone number). If OverrideMessageServiceCentre is `False`, this property's value should be ignored by the CM in favour of the SIM's default SMSC.

QString Tp::Service::ConnectionInterfaceCellularAdaptor::IMSI | ( |  | ) | const

Return the value of the exported D-Bus object property `IMSI` of type `QString`.

Adaptees should export this property as a Qt property named 'imsi' with type QString.

The International Mobile Subscriber Identifier, if it exists. This would originate from a SIM card. If the IMSI is unknown, this will contain an empty string ("").

Returns
  The value of exported property `IMSI`.

bool Tp::Service::ConnectionInterfaceCellularAdaptor::MessageReducedCharacterSet | ( |  | ) | const

Return the value of the exported D-Bus object property `MessageReducedCharacterSet` of type `bool`.

Adaptees should export this property as a Qt property named 'messageReducedCharacterSet' with type bool.

Determines how to encode SMSes containing characters that do not fit into a non-Unicode character set. If `False` (which SHOULD be the default), messages will be encoded as UCS-2 and sent with no loss of fidelity (at the potential financial cost of using twice as many SMSes); if `True`, the message will be recoded in an implementation‐specific way to fit into a GSM reduced character set.

Returns
  The value of exported property `MessageReducedCharacterSet`.

void Tp::Service::ConnectionInterfaceCellularAdaptor::SetMessageReducedCharacterSet | ( | const bool & | newValue | ) |

Set the value of the exported D-Bus object property `MessageReducedCharacterSet` of type `bool`.

Adaptees should export this property as a writable Qt property named 'messageReducedCharacterSet' with type bool.

Determines how to encode SMSes containing characters that do not fit into a non-Unicode character set. If `False` (which SHOULD be the default), messages will be encoded as UCS-2 and sent with no loss of fidelity (at the potential financial cost of using twice as many SMSes); if `True`, the message will be recoded in an implementation‐specific way to fit into a GSM reduced character set.

QString Tp::Service::ConnectionInterfaceCellularAdaptor::MessageNationalCharacterSet | ( |  | ) | const

Return the value of the exported D-Bus object property `MessageNationalCharacterSet` of type `QString`.

Adaptees should export this property as a Qt property named 'messageNationalCharacterSet' with type QString.

Hint for the connection manager for the GSM character set that should be used to send SMSes. The connection manager SHOULD follow this hint unless it has other ways to determine a better encoding. If the value is `"gsm"` (which SHOULD be the default), SMSes will be encoded in the normal 7-bit GSM character set, eventually falling back to UCS-2; see the MessageReducedCharacterSet property for details. Other valid character sets are specified in the GSM standard and are, for instance, `"turkey"`, `"spain"` or `"portugal"`. If the SMS cannot be encoded using the requested character set the behaviour is implementation-specific, but it is RECOMMENDED that the connection manager should behave as if this property was set to `"gsm"`.

Returns
  The value of exported property `MessageNationalCharacterSet`.

void Tp::Service::ConnectionInterfaceCellularAdaptor::SetMessageNationalCharacterSet | ( | const QString & | newValue | ) |

Set the value of the exported D-Bus object property `MessageNationalCharacterSet` of type `QString`.

Adaptees should export this property as a writable Qt property named 'messageNationalCharacterSet' with type QString.

Hint for the connection manager for the GSM character set that should be used to send SMSes. The connection manager SHOULD follow this hint unless it has other ways to determine a better encoding. If the value is `"gsm"` (which SHOULD be the default), SMSes will be encoded in the normal 7-bit GSM character set, eventually falling back to UCS-2; see the MessageReducedCharacterSet property for details. Other valid character sets are specified in the GSM standard and are, for instance, `"turkey"`, `"spain"` or `"portugal"`. If the SMS cannot be encoded using the requested character set the behaviour is implementation-specific, but it is RECOMMENDED that the connection manager should behave as if this property was set to `"gsm"`.

void Tp::Service::ConnectionInterfaceCellularAdaptor::IMSIChanged | ( | const QString & | IMSI | ) |
| signal

Represents the exported D-Bus signal `IMSIChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void imsiChanged(const QString& IMSI);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  IMSI |
      The new IMSI value. This may be an empty string in the case where
      the IMSI is being reset or removed.